"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
function VerticalText(props) {
    const { transform = '', fontSize, style, label, ...otherProps } = props;
    return (react_1.default.createElement("text", Object.assign({}, otherProps, { transform: `${transform}rotate(-90)`, textAnchor: "middle", style: {
            ...style,
            cursor: 'vertical-text',
        } }), label));
}
exports.default = VerticalText;
